+45 70 20 27 31
Ring
+45 70 20 27 31

Blog

Opgradering af e-mail sikkerhed

Som et led i vores løbende optimering af sikkerheden på vores servere har vi, dags dato, foretaget en ændring af hvilke sikkerheds-standarder der understøttes ved kommunikation fra jeres e-mail programmer og vore servere.

Dette betyder at vi tidligere understøttede følgende sikkerheds-standarder for krypteret kommunikation imellem jeres e-mail programmer og vores servere:

  • TLS v1.0
  • TLS v1.1
  • TLS v1.2

Fremadrettet understøttes følgende:

  • TLS v1.2
  • TLS v1.3

Såfremt dit e-mail program ikke længere kan sende eller modtage mail, bedes du kontakte din IT-administrator for at høre hvor vidt dit e-mail program understøtter TLS v1.2 eller nyere.

Opdatering 03-09-2018 16:30

Grundet fejl i officiel dokumentation fra Apple, har brugere af iPhones under iOS 10.3.x haft udfordringer med at hente mails i dag, da TLS v1.2 skulle være understøttet på iOS 9.x. Det har dog vist sig at denne information var fejlbehæftet og i forhold til mail var dette kun gældende for afsendelse. Da vore systemer bruge de samme standarder til både afsendelse af mail og modtagelse af mail, har vi tilbagerullet den sikkerhedsmæssige ændring i vores system.

Vi beklager de gener dette har medført

Udfasning af PHP 5

Hos Conviator har vi et højt fokus på sikkerhed for vore kunders løsninger, men overgearer samtidig heller ikke så meget at det er til gene.

Med dette indlæg vil vi gerne være ude i meget god tid i forhold til udfasning af PHP 5.

Udviklerne af PHP programmeringssproget vedligeholder forskellige version af sproget i en periode efter dennes udgivelse. Dette betyder at der en gang imellem udfases en version.

PHP findes lige nu i version 5 og version 7. Version 5 lever lige nu i det sidst stadie, hvor den aktuelle version af PHP 5.6. Denne version får ikke længere sikkerhedsrettelser efter 31-12-2018, hvilket betyder at vores software leverandører vil nedlægge understøttelsen af PHP 5.6 i starten af 2019.

Med skiftet fra PHP 5 til PHP 7 sker der rigtig mange ændringer internt i programmeringssproget og dette har især lidt ældre CMS-systemer udfordringer med. Den nye version giver samtidig store hastighedsoptimeringer og sikkerhedsrettelser.

Du kan læse mere om udfasningsdatoer for PHP her.

Hvordan skal vi forholde os som kunde?

Som kunde er det vigtigt at du allerede nu sørger for at din hjemmesides programkode/CMS er klar til at køre på PHP 7 og allerede nu kan du skifte til nyeste PHP 7.2 via dit kontrolpanel.

Som en lille hjælp kan vi fra egne tests oplyse at følgende CMS-versioner fungerer med PHP 7:

  • Drupal 8 fungerer med PHP 7.1 fra version 8.4 og med PHP 7.2 når Drupal 8.5 bliver frigivet
  • Drupal 7 fungerer med PHP 7.0 på Drupal 7.58 og fremefter
  • WordPress fungerer med PHP 7 fra WordPress 4.9
  • Joomla 3.8 understøtter PHP 7
  • Magento 1.x understøtter ikke officielt PHP 7. Der er dog flere på internettet der melder om at Magento 1.9.3.x fungerer på PHP 7.0
  • Magento 2.0 understøtter PHP 7

Helt generelt set anbefaler vi dog at man, i det omfang det er muligt, benytter den nyeste version af sit CMS-system.

Bruger du ikke et af ovenstående CMS-løsninger bør du kontakte din udvikler for at finde ud af hvad mulighederne er for at blive kompatibel med PHP 7.

Har du selv lavet din hjemmesides programkode, så har PHP udviklerne udgivet en række sider der fortæller om de forskelle der ligger imellem versionerne og hvordan man opdaterer sin programkode til at være kompatibel. Du finder vejledningen her: http://php.net/manual/en/migration70.php

Nævneværdige kodeændringer

MySQL API’et er fjernet

mysql_* funktionerne er udgået/fjernet i PHP7 og man skal derfor benytte MySQLi i stedet for. Til de fleste mysql_* funktioner findes der dog tilsvarende mysqli_* funktioner

Ereg funktionerne er udfaset

Her kan man i stedet benytte preg_* funktionerne

Hvornår udfaser I PHP 5?

Da vi har rigtig mange kunder der i dag kører deres hjemmeside på PHP 5, så har vi ingen plan om at udfase PHP 5 før vi af sikkerhedsmæssige årsager bliver tvunget til det, enten i form af kritiske sikkerhedshuller der ikke bliver rettet fra udviklerne eller når vores softwareleverandør vælger at det nu er tid til at fjerne understøttelsen af PHP 5.6.

Begge dele sker dog umiddelbart først i starten af 2019, men vi har allerede nu forberedt os, ved at alle vores Linux webhoteller kører PHP 7.2 som standard, men med mulighed for at nedgradere til PHP 7.0 eller 5.6. Vi har dog ikke ændret på den PHP version der benyttes på eksisterende webhoteller.

Jeg er stadig i tvivl om jeg bliver påvirket af ændringerne?

Er du stadig i tvivl om hvor vidt du bliver påvirket af de forestående ændringer, så kontakt vores support på 70 20 27 31 eller via e-mail. Vores kundeservice og teknikere sidder klar til at hjælpe

Opgradering af navneservere

Som mange af vore kunder sikkert har bemærket, så er der over de sidste års tid løbende sket ændringer og forskellige services er flyttet til nyere og hurtigere servere. Samtidig med dette har vi arbejdet på etablering af nye navneservere der er tæt koblet med vores webservere og selvbetjeningsplatform.

Navnservere, eller DNS-servere, er de systemer der er ansvarlige for at oversætte navne til IP-adresser. uden denne service ville du selv skulle huske at google.dk ligger på 172.217.17.67.

Skiftet af vores underliggende navneservere var det sidste og mest kritiske skridt af hele overgangen til vores nye driftsmiljø og med dette skridt overstået, er vi nu endelig færdige med et langt og hårdt flyttearbejde.

Vil vi gerne takke vore kunder for at have udvist stor tålmodighed under vores flytning.

Vores domæne virker ikke længere

Efter nattens overgang til vore nye navneservere, har flere internetudbyder haft udfordringer med at få opdateret information omkring hvor hjemmesider og e-mail for vore kunder ligger. Dette normaliserer sig typisk indenfor 24 timer alt afhængig af udbyder.

Har I udfordringer eller spørgsmål i forhold til vores skift af navnservere, så er vores kundeservice klar ved telefonen og ser frem til at hjælpe jer.

Velkommen til det nye conviator.com

Vi har siden 2011 haft en hjemmeside, der på daværende tidspunkt var moderne og tidssvarende. Desværre er tiden løbet af den gamle hjemmeside og den trængte efterhånden til et frisk pust.

Vi er derfor stolte over at kunne lancere det nye conviator.com. Den nye hjemmeside har fået et nyt mobilvenligt og moderne design og indholdet er bygget op på en let og overskuelig måde. Samtidig er den nye hjemmeside bedre koblet til vores selvbetjeningsplatform, hvilket betyder at du nu kan finde de fleste af vores produkter og services direkte på hjemmesiden og bestille med et enkelt klik.

Vores nye hjemmeside indeholder også en ny FAQ, samt en vidensbase. Begge ændres og udbygges løbende med relevant information for vore nuværende og nye kunder.

Med den nye hjemmeside vil vi samtidig signalere afslutningen af et næsten 2 år langt projekt med at få ryddet op i gamle systemer og optimeret vores driftsmiljø til en hurtigere og mere sikker dagligdag.

Skulle I have spørgsmål eller udfordringer, så sidder vores kundeservice og teknikere som altid klar til at hjælpe jer.